Loading...
Searching...
No Matches
Config.hpp File Reference
`#include <algorithm>`
`#include <cctype>`
`#include <fstream>`
`#include <iostream>`
`#include <string>`
`#include <utility>`
`#include <vector>`
`#include "App.hpp"`
`#include "ConfigFwd.hpp"`
`#include "StringTools.hpp"`
`#include "impl/Config_inl.hpp"`

Go to the source code of this file.

## Namespaces

namespace | CLI
namespace | CLI::detail

## Functions

std::string | CLI::detail::convert_arg_for_ini (const std::string &arg, char stringQuote='"', char literalQuote = '\'', bool disable_multi_line = false)
std::string | CLI::detail::ini_join (const std::vector< std::string > &args, char sepChar=',', char arrayStart='[', char arrayEnd=']', char stringQuote='"', char literalQuote = '\'')
| Comma separated join, adds quotes if needed.
void | CLI::detail::clean_name_string (std::string &name, const std::string &keyChars)
std::vector< std::string > | CLI::detail::generate_parents (const std::string &section, std::string &name, char parentSeparator)
void | CLI::detail::checkParentSegments (std::vector< ConfigItem > &output, const std::string &currentSection, char parentSeparator)
| assuming non default segments do a check on the close and open of the segments in a configItem structure